<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
<!-- javajarfile.qdoc -->
  <title>JavaJarFile QML Type | Qbs Manual</title>
  <link rel="stylesheet" type="text/css" href="style/offline-simple.css" />
  <script type="text/javascript">
    document.getElementsByTagName("link").item(0).setAttribute("href", "style/offline.css");
    // loading style sheet breaks anchors that were jumped to before
    // so force jumping to anchor again
    setTimeout(function() {
        var anchor = location.hash;
        // need to jump to different anchor first (e.g. none)
        location.hash = "#";
        setTimeout(function() {
            location.hash = anchor;
        }, 0);
    }, 0);
  </script>
</head>
<body>
<div class="header" id="qtdocheader">
  <div class="main">
    <div class="main-rounded">
      <div class="navigationbar">
        <table><tr>
<td ><a href="index.html">Qbs Manual</a></td></tr></table><table class="buildversion"><tr>
<td id="buildversion" width="100%" align="right">Qbs 1.15.0</td>
        </tr></table>
      </div>
    </div>
<div class="content">
<div class="line">
<div class="content mainContent">
  <link rel="prev" href="qml-qbsconvenienceitems-javaclasscollection.html" />
  <link rel="next" href="qml-qbsconvenienceitems-loadablemodule.html" />
<p class="naviNextPrevious headerNavi">
<a class="prevPage" href="qml-qbsconvenienceitems-javaclasscollection.html">JavaClassCollection</a>
<span class="naviSeparator">  &#9702;  </span>
<a class="nextPage" href="qml-qbsconvenienceitems-loadablemodule.html">LoadableModule</a>
</p><p/>
<div class="sidebar">
<div class="toc">
<h3><a name="toc">Contents</a></h3>
<ul>
<li class="level1"><a href="#properties">Properties</a></li>
<li class="level1"><a href="#details">Detailed Description</a></li>
</ul>
</div>
<div class="sidebar-content" id="sidebar-content"></div></div>
<h1 class="title">JavaJarFile QML Type</h1>
<span class="subtitle"></span>
<!-- $$$JavaJarFile-brief -->
<p>Collection of Java class files bundled in a jar file. <a href="#details">More...</a></p>
<!-- @@@JavaJarFile -->
<div class="table"><table class="alignedsummary">
<tr><td class="memItemLeft rightAlign topAlign"> Import Statement:</td><td class="memItemRight bottomAlign"> import QbsConvenienceItems .</td></tr><tr><td class="memItemLeft rightAlign topAlign"> Inherits:</td><td class="memItemRight bottomAlign"> <p><a href="qml-qbslanguageitems-product.html">Product</a></p>
</td></tr></table></div><ul>
<li><a href="qml-qbsconvenienceitems-javajarfile-members.html">List of all members, including inherited members</a></li>
</ul>
<a name="properties"></a>
<h2 id="properties">Properties</h2>
<ul>
<li class="fn"><b><b><a href="qml-qbsconvenienceitems-javajarfile.html#entryPoint-prop">entryPoint</a></b></b> : string</li>
</ul>
<!-- $$$JavaJarFile-description -->
<a name="details"></a>
<h2 id="details">Detailed Description</h2>
<p>A JavaJarFile item is a <a href="qml-qbslanguageitems-product.html">product</a> of the <a href="qml-qbslanguageitems-product.html#type-prop">type</a> <code>java.jar</code>. It is used to produce a jar archive from a set of Java sources.</p>
<!-- @@@JavaJarFile -->
<h2>Property Documentation</h2>
<!-- $$$entryPoint -->
<div class="qmlitem"><div class="qmlproto">
<div class="table"><table class="qmlname">
<tr valign="top" class="odd" id="entryPoint-prop">
<td class="tblQmlPropNode"><p>
<span class="name">entryPoint</span> : <span class="type">string</span></p></td></tr>
</table></div></div>
<div class="qmldoc"><p>The entry point for an executable jar file.</p>
<p>Default: Undefined</p>
</div></div><!-- @@@entryPoint -->
<br/>
<p class="naviNextPrevious footerNavi">
<a class="prevPage" href="qml-qbsconvenienceitems-javaclasscollection.html">JavaClassCollection</a>
<span class="naviSeparator">  &#9702;  </span>
<a class="nextPage" href="qml-qbsconvenienceitems-loadablemodule.html">LoadableModule</a>
</p>
        </div>
       </div>
   </div>
   </div>
</div>
<div class="footer">
   <p>
   <acronym title="Copyright">&copy;</acronym> 2020 The Qt Company Ltd.
   Documentation contributions included herein are the copyrights of
   their respective owners.<br/>    The documentation provided herein is licensed under the terms of the    <a href="http://www.gnu.org/licenses/fdl.html">GNU Free Documentation    License version 1.3</a> as published by the Free Software Foundation.<br/>    Qt and respective logos are trademarks of The Qt Company Ltd.     in Finland and/or other countries worldwide. All other trademarks are property
   of their respective owners. </p>
</div>
</body>
</html>
